Upgrading Qt

From Alpine Linux
Jump to: navigation, search

When Qt gets upgraded between major versions, we have to rebuild some packages due to ABI changes and private API usages. The following is a list of packages to bump on every major (e.g. 5.12.x to 5.14.x) upgrade:

  • py3-qt5
  • qt5-qtwebkit # is not part of the regular Qt releases
  • kio-extras
  • kdeclarative
  • kwayland
  • kwayland-integration
  • plasma-framework
  • breeze
  • plasma-integration
  • qqc2-desktop-style
  • kwin
  • kaidan # compiles it's QML files
  • ruqola # compiles it's QML files